aboutsummaryrefslogtreecommitdiff
path: root/scripts/make.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/make.sh')
-rwxr-xr-xscripts/make.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/scripts/make.sh b/scripts/make.sh
index 3dd4f90c..e1bc399a 100755
--- a/scripts/make.sh
+++ b/scripts/make.sh
@@ -210,6 +210,19 @@ then
) > generated/globals.h
fi
+if [ generated/mktags -ot scripts/mktags.c ]
+then
+ do_loudly $HOSTCC scripts/mktags.c -o generated/mktags || exit 1
+fi
+
+if isnewer generated/tags.h toys
+then
+ echo -n "generated/tags.h "
+
+ sed -n '/TAGGED_ARRAY(/,/^)/{s/.*TAGGED_ARRAY[(]\([^,]*\),/\1/;p}' \
+ toys/*/*.c | generated/mktags > generated/tags.h
+fi
+
echo "generated/help.h"
if [ generated/config2help -ot scripts/config2help.c ]
then